Bug 326571 - Conga displays quorum status incorrectly when qdisk is used
Conga displays quorum status incorrectly when qdisk is used
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: conga (Show other bugs)
4
All Linux
high Severity high
: ---
: ---
Assigned To: Ryan McCabe
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-10 12:42 EDT by Ryan McCabe
Modified: 2009-04-16 15:53 EDT (History)
6 users (show)

See Also:
Fixed In Version: RHBA-2007-0982
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-21 16:56:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan McCabe 2007-10-10 12:42:32 EDT
+++ This bug was initially created as a clone of Bug #317541 +++

Description of problem:

When a cluster is configured with qdisk, cluster quorum status is displayed
incorrectly. For example, with a qdisk configured with "Votes" = 3, luci
displays the following quorum status at the "cluster" tab:
  * Status: Quorate
  * Total Cluster Votes: 4
  * Minimum Required Quorum: 4

Running "cman_tool status" shows this:
Nodes: 4
Expected votes: 4
Total votes: 7
Quorum: 4


Running "cman_tool nodes" shows this:
Node  Sts   Inc   Joined               Name
   0   M      0   2007-10-03 15:52:55  /dev/sdd1
   1   M   2568   2007-10-03 15:52:42  tng3-1
   2   M   2576   2007-10-03 16:23:38  tng3-2
   3   M   2584   2007-10-03 16:43:35  tng3-3
   5   M   2568   2007-10-03 15:52:42  tng3-5



Shutting down clustering on one node decrements the "Total Cluster Votes" value.
In the example of the preceding text, when shutting down clustering on a node,
the "Total Cluster Votes" decrements to "3" and the cluster becomes not quorate:
  * Status: Not Quorate
  * Total Cluster Votes: 3
  * Minimum Required Quorum: 4

Running "cman_tool status" shows this:
Nodes: 3
Expected votes: 4
Total votes: 6
Quorum: 4


Running "cman_tool nodes" shows this:
Node  Sts   Inc   Joined               Name
   0   M      0   2007-10-03 15:52:55  /dev/sdd1
   1   M   2568   2007-10-03 15:52:42  tng3-1
   2   M   2576   2007-10-03 16:23:38  tng3-2
   3   X   2584                        tng3-3
   5   M   2568   2007-10-03 15:52:42  tng3-5






Version-Release number of selected component (if applicable):
luci-0.10.0-6.el5
ricci-0.10.0-6.el5
kernel-2.6.18-48.el5
modcluster-0.10.0-5.el5
cman-2.0.70-1.el5
cman-debuginfo-2.0.70-1.el5

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Configuration tested includes fix for Bug 314641 .
Comment 3 errata-xmlrpc 2007-11-21 16:56:50 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0982.html

Note You need to log in before you can comment on or make changes to this bug.